Post by CoronaTechniek » Sun Jul 24, 2016 5:04 pm

Hi i got a question about open_basedir restriction and autoload.php

The error

Code: Select all

[Sun Jul 24 09:59:43.147533 2016] [fcgid:warn] [pid 6387] [client xxx.xxx.xxx.xxx:52542] mod_fcgid: stderr: PHP Warning:  file_exists(): open_basedir restriction in effect. File(/var/www/clients/clientxxxx/webxx/web/system/../../vendor/autoload.php) is not within the allowed path(s): (/var/www/clients/client1/webxx/web:/var/www/clients/clientxxxx/webxx/private:/var/www/clients/clientxxxx/webxxx/tmp:/var/www/aquaforte-dealer.nl/web:/srv/www/aquaforte-dealer.nl/web:/usr/share/php5:/usr/share/php:/tmp:/usr/share/phpmyadmin:/etc/phpmyadmin:/var/lib/phpmyadmin) in /var/www/clients/clientxxxx/webxx/web/system/startup.php on line 173, referer: http://www.aquaforte-dealer.nl/admin/index.php?route=common/dashboard&token=8agrLiewQt5FEvLKI7iahA6rCZevmqTH
The code on line 173

Code: Select all

#171#// Autoloader
#172#
#173#if (file_exists(DIR_SYSTEM . '../../vendor/autoload.php')) {
#174#
#175#	require_once(DIR_SYSTEM . '../../vendor/autoload.php');
#176#
#177#}

now my question where is /system/../../vendor/autoload.php i cant find it in the system directory


Info
Fresh install: 2.2.0.0
PHP: 5.5.9-1
Apache: 2.4.7
No modules, extensions or themes

i hope some body can help me
Last edited by CoronaTechniek on Mon Jul 25, 2016 10:18 pm, edited 2 times in total.

http://www.koienvijvercentrum.nl Alles voor Koi en Vijver Opencart 2.3.0.2


User avatar
Active Member

Posts

Joined
Sat Dec 17, 2011 4:25 am
Location - Groningen

Post by opencartboost » Sun Jul 24, 2016 7:13 pm

Are you sure do you not using other extension, third party extension or theme?
Folder vendor is not default Opencart.

Active Member

Posts

Joined
Thu Jul 09, 2015 5:59 am

Post by straightlight » Sun Jul 24, 2016 7:27 pm

opencartboost wrote:Are you sure do you not using other extension, third party extension or theme?
Folder vendor is not default Opencart.
That is not entirely true. The vendor directory may exist inside the original ZIP file such as Opencart v2.3 Beta release. Although, I may exists among other ZIP files.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Opencart.com Administrator / Quality Assurance Analyst / Programmer


Legendary Member
Online

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by CoronaTechniek » Mon Jul 25, 2016 3:36 pm

opencartboost wrote:Are you sure do you not using other extension, third party extension or theme?
Folder vendor is not default Opencart.
no it is a fresh download from the site

http://www.koienvijvercentrum.nl Alles voor Koi en Vijver Opencart 2.3.0.2


User avatar
Active Member

Posts

Joined
Sat Dec 17, 2011 4:25 am
Location - Groningen

Post by opencartboost » Mon Jul 25, 2016 4:36 pm

straightlight wrote:
opencartboost wrote:Are you sure do you not using other extension, third party extension or theme?
Folder vendor is not default Opencart.
That is not entirely true. The vendor directory may exist inside the original ZIP file such as Opencart v2.3 Beta release. Although, I may exists among other ZIP files.
Thank you for correction. I say default opencart not contain folder vendor because Thread starter/Opening Post say
Info
Fresh install: 2.2.0.0
PHP: 5.5.9-1
Apache: 2.4.7
No modules, extensions or themes

Active Member

Posts

Joined
Thu Jul 09, 2015 5:59 am

Post by straightlight » Mon Jul 25, 2016 6:28 pm

opencartboost wrote:
straightlight wrote:
opencartboost wrote:Are you sure do you not using other extension, third party extension or theme?
Folder vendor is not default Opencart.
That is not entirely true. The vendor directory may exist inside the original ZIP file such as Opencart v2.3 Beta release. Although, I may exists among other ZIP files.
Thank you for correction. I say default opencart not contain folder vendor because Thread starter/Opening Post say
Info
Fresh install: 2.2.0.0
PHP: 5.5.9-1
Apache: 2.4.7
No modules, extensions or themes
Those specifications are incomplete details which is why it is best strategy to ask the right questions based on what this site strictly provides in the first place.

@CoronaTechniek:

The vendor folder is not an obligation to be used among Opencart. I, personally, do not use this folder since I simply have no objective use for it. However, if this error message appears while running Opencart, could you specify the Opencart version you are using and from which file / route this error message specifically appears on your store and also provide the step-by-step procedure to be able to reproduce this issue?

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Opencart.com Administrator / Quality Assurance Analyst / Programmer


Legendary Member
Online

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by CoronaTechniek » Mon Jul 25, 2016 10:16 pm

@straightlight
The vendor folder is not an obligation to be used among Opencart.
Yes it is using vendor ;)
could you specify the Opencart version you are using
its there in the first post from the beginning ::)


-----------------------------------------------------------
This server runs on ISPConfig 3 (isp3)

so OpenCart 2.2.0.0 uses private folder in isp3 so upload vendor folder to /private/

http://fatorbinario.com/comunidade/topi ... -opencart/


and change this code in autoload.php

Code: Select all

// Autoloader
if (file_exists(DIR_SYSTEM . '../../vendor/autoload.php')) {
	require_once(DIR_SYSTEM . '../../vendor/autoload.php');
}
TO

Code: Select all

// Autoloader
if (file_exists(DIR_SYSTEM . '../../private/vendor/autoload.php')) {
	require_once(DIR_SYSTEM . '../../private/vendor/autoload.php');
}

and the error will be gone

http://www.koienvijvercentrum.nl Alles voor Koi en Vijver Opencart 2.3.0.2


User avatar
Active Member

Posts

Joined
Sat Dec 17, 2011 4:25 am
Location - Groningen

Post by straightlight » Mon Jul 25, 2016 10:19 pm

its there in the first post from the beginning
Sorry, didn't noticed it. ^-^

It's great to see you found the solution to the problem you reported.

The most generated errors being found on Opencart forum originates from contributed programming. The increased post counters are caused by redundancies of the same solutions that were already provided prior.


Regards,
Straightlight
Opencart.com Administrator / Quality Assurance Analyst / Programmer


Legendary Member
Online

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON
Who is online

Users browsing this forum: No registered users and 45 guests